- Home
- API Enriched
- Sites
- config
- Configure Azure VNet Site VIP Information.
Configure Azure VNet Site VIP Information.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/azure_vnet_site/example/set_vip_info';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"name":"example","namespace":"example","vip_params_per_az":[{"az_name":"example","inside_vip":["example"],"inside_vip_cname":"example","inside_vip_v6":["example"],"outside_vip":["example"],"outside_vip_cname":"example","outside_vip_v6":["example"]}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/azure_vnet_site/example/set_vip_info \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "namespace": "example", "vip_params_per_az": [ { "az_name": "example", "inside_vip": [ "example" ], "inside_vip_cname": "example", "inside_vip_v6": [ "example" ], "outside_vip": [ "example" ], "outside_vip_cname": "example", "outside_vip_v6": [ "example" ] } ] }'Configure Azure VNet Site VIP Information.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace for the object to be configured.
Name Name of the object to be configured.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to configure Azure VNet Site VIP information.
object
Name of the object to be configured.
Namespace for the object to be configured.
VIP Parameters per AZ.
Per AZ parameters needed to publish VIP for public cloud sites.
object
Name of the Availability zone.
List of Inside VIPs for an AZ.
CNAME value for the inside VIP, These are usually public cloud generated CNAME.
Optional list of Inside IPv6 VIPs for an AZ.
List of Outside VIPs for an AZ Required: YES.
CNAME value for the outside VIP These are usually public cloud generated CNAME.
Optional list of Outside IPv6 VIPs for an AZ.
Examplegenerated
{ "name": "example", "namespace": "example", "vip_params_per_az": [ { "az_name": "example", "inside_vip": [ "example" ], "inside_vip_cname": "example", "inside_vip_v6": [ "example" ], "outside_vip": [ "example" ], "outside_vip_cname": "example", "outside_vip_v6": [ "example" ] } ]}Responses
Section titled “Responses”A successful response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example